Bug 471903 - [Broadcom 5.3 bug] bnx2: add PCI-IDs for 5716s [NEEDINFO]
[Broadcom 5.3 bug] bnx2: add PCI-IDs for 5716s
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity urgent
: rc
: ---
Assigned To: Andy Gospodarek
Martin Jenner
: EasyFix, OtherQA
Depends On:
Blocks: 440221
  Show dependency treegraph
 
Reported: 2008-11-17 11:28 EST by Andy Gospodarek
Modified: 2009-06-20 04:10 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:44:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jleu: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Andy Gospodarek 2008-11-17 11:28:22 EST
Description of problem:

At least one large system-vendor is shipping systems with the 5716s part.  It is apparently identical to the 5709, so it's just a PCI-ID add.

diff --git a/drivers/net/bnx2.c b/drivers/net/bnx2.c
index 9106ea7..959e240 100644
--- a/drivers/net/bnx2.c
+++ b/drivers/net/bnx2.c
@@ -55,7 +55,7 @@
 #define FW_BUF_SIZE            0x10000
 #define DRV_MODULE_NAME                "bnx2"
 #define PFX DRV_MODULE_NAME    ": "
-#define DRV_MODULE_VERSION     "1.7.9"
+#define DRV_MODULE_VERSION     "1.7.9-1"
 #define DRV_MODULE_RELDATE     "July 18, 2008"
 
 #define RUN_AT(x) (jiffies + (x))
@@ -87,6 +87,7 @@ typedef enum {
        BCM5709,
        BCM5709S,
        BCM5716,
+       BCM5716S,
 } board_t;
 
 /* indexed by board_t, above */
@@ -103,6 +104,7 @@ static struct {
        { "Broadcom NetXtreme II BCM5709 1000Base-T" },
        { "Broadcom NetXtreme II BCM5709 1000Base-SX" },
        { "Broadcom NetXtreme II BCM5716 1000Base-T" },
+       { "Broadcom NetXtreme II BCM5716 1000Base-SX" },
        };
 
 static struct pci_device_id bnx2_pci_tbl[] = {
@@ -126,6 +128,8 @@ static struct pci_device_id bnx2_pci_tbl[] = {
          PCI_ANY_ID, PCI_ANY_ID, 0, 0, BCM5709S },
        { PCI_VENDOR_ID_BROADCOM, 0x163b,
          PCI_ANY_ID, PCI_ANY_ID, 0, 0, BCM5716 },
+       { PCI_VENDOR_ID_BROADCOM, 0x163c,
+         PCI_ANY_ID, PCI_ANY_ID, 0, 0, BCM5716 },
        { 0, }
 };
Comment 2 Andrius Benokraitis 2008-11-17 11:47:45 EST
There is word that OEMs will be distributing this card in the near future (before 5.4 comes out). Simple fix.
Comment 6 Don Zickus 2008-12-02 17:20:19 EST
in kernel-2.6.18-125.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Chris Ward 2008-12-04 05:22:24 EST
Broadcom, IBM, what is the current status of this bug fix? The fix should be present in the latest RHEL5.3 Snapshot. Please test and send feedback ASAP.
Comment 9 Chris Ward 2008-12-04 10:46:38 EST
Apologies, this fix should be present in the Snapshot 5, which is scheduled for release next week.
Comment 10 Chris Ward 2008-12-08 06:53:26 EST
~~ Snapshot 5 is now available @ partners.redhat.com ~~ 

Partners, RHEL 5.3 Snapshot 5 is now available for testing. Please send us your testing feedback on this important bug fix / feature request AS SOON AS POSSIBLE. If you are unable to test, indicate this in a comment or escalate to your Partner Manager. If we do not receive your test feedback, this bug will be AT RISK of being dropped from the release.

If you have VERIFIED the fix, please add PartnerVerified to the Bugzilla
Keywords field, along with a description of the test results. 

If you encounter a new bug, CLONE this bug and request from your Partner
manager to review. We are no longer excepting new bugs into the release, bar
critical regressions.
Comment 11 Jeff Leu 2008-12-11 04:57:02 EST
Now I install 5709 mission board 163c on SUT with Red Hat kernel-2.6.18-125.el5.
After OS booting, I check below steps to verify 5716s.
 
1. [root@localhost ~]# ethtool -i eth0
   driver: bnx2
   version: 1.7.9-1
   firmware-version: 4.6.4
   bus-info: 0000:28:00.1
 
2. dmesg information correctly.
 
[root@localhost ~]# dmesg | grep BCM
eth0: Broadcom NetXtreme II BCM5716 1000Base-T (C0) PCI Express found at mem f0000000, IRQ 16, node addr 001018570936
eth1: Broadcom NetXtreme II BCM5716 1000Base-T (C0) PCI Express found at mem f2000000, IRQ 21, node addr 001018570938
 
3. Using xdiag to modify subdevice ID, subvendor ID on 5716s. 
   Then check device information via "lspci" command, below is lspci information:
 
[root@localhost ~]# lspci | grep BCM
28:00.0 Ethernet controller: Broadcom Corporation NetXtreme II BCM5716S Gigabit Ethernet (rev 20)
28:00.1 Ethernet controller: Broadcom Corporation NetXtreme II BCM5716S Gigabit Ethernet (rev 20)
 
4. Ping from AUT to remote pc successfully.
 
5. Checking and make sure 5716s infromation on /usr/share/hwdata/pci.ids.
   The correct 5716s ID already include in pci.ids file.
Comment 13 errata-xmlrpc 2009-01-20 14:44:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.